1# Makefile.in generated by automake 1.15 from Makefile.am.
2# examples/money/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17am__is_gnu_make = { \
18  if test -z '$(MAKELEVEL)'; then \
19    false; \
20  elif test -n '$(MAKE_HOST)'; then \
21    true; \
22  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23    true; \
24  else \
25    false; \
26  fi; \
27}
28am__make_running_with_option = \
29  case $${target_option-} in \
30      ?) ;; \
31      *) echo "am__make_running_with_option: internal error: invalid" \
32              "target option '$${target_option-}' specified" >&2; \
33         exit 1;; \
34  esac; \
35  has_opt=no; \
36  sane_makeflags=$$MAKEFLAGS; \
37  if $(am__is_gnu_make); then \
38    sane_makeflags=$$MFLAGS; \
39  else \
40    case $$MAKEFLAGS in \
41      *\\[\ \	]*) \
42        bs=\\; \
43        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
45    esac; \
46  fi; \
47  skip_next=no; \
48  strip_trailopt () \
49  { \
50    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51  }; \
52  for flg in $$sane_makeflags; do \
53    test $$skip_next = yes && { skip_next=no; continue; }; \
54    case $$flg in \
55      *=*|--*) continue;; \
56        -*I) strip_trailopt 'I'; skip_next=yes;; \
57      -*I?*) strip_trailopt 'I';; \
58        -*O) strip_trailopt 'O'; skip_next=yes;; \
59      -*O?*) strip_trailopt 'O';; \
60        -*l) strip_trailopt 'l'; skip_next=yes;; \
61      -*l?*) strip_trailopt 'l';; \
62      -[dEDm]) skip_next=yes;; \
63      -[JT]) skip_next=yes;; \
64    esac; \
65    case $$flg in \
66      *$$target_option*) has_opt=yes; break;; \
67    esac; \
68  done; \
69  test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72pkgdatadir = $(datadir)/cppunit
73pkgincludedir = $(includedir)/cppunit
74pkglibdir = $(libdir)/cppunit
75pkglibexecdir = $(libexecdir)/cppunit
76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
88build_triplet = x86_64-unknown-linux-gnu
89host_triplet = x86_64-unknown-linux-gnu
90TESTS = MoneyApp$(EXEEXT)
91check_PROGRAMS = $(am__EXEEXT_1)
92subdir = examples/money
93ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
94am__aclocal_m4_deps = $(top_srcdir)/m4/ac_cxx_have_strstream.m4 \
95	$(top_srcdir)/m4/ac_cxx_string_compare_string_first.m4 \
96	$(top_srcdir)/m4/ac_dll.m4 \
97	$(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
98	$(top_srcdir)/m4/ax_cxx_gcc_abi_demangle.m4 \
99	$(top_srcdir)/m4/ax_cxx_have_isfinite.m4 \
100	$(top_srcdir)/m4/ax_cxx_have_sstream.m4 \
101	$(top_srcdir)/m4/ax_cxx_namespaces.m4 \
102	$(top_srcdir)/m4/ax_prefix_config_h.m4 \
103	$(top_srcdir)/m4/bb_enable_doxygen.m4 \
104	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
105	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
106	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
107am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
108	$(ACLOCAL_M4)
109DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
110mkinstalldirs = $(install_sh) -d
111CONFIG_HEADER = $(top_builddir)/config.h
112CONFIG_CLEAN_FILES =
113CONFIG_CLEAN_VPATH_FILES =
114am__EXEEXT_1 = MoneyApp$(EXEEXT)
115am_MoneyApp_OBJECTS = MoneyApp-MoneyTest.$(OBJEXT) \
116	MoneyApp-MoneyApp.$(OBJEXT)
117MoneyApp_OBJECTS = $(am_MoneyApp_OBJECTS)
118am__DEPENDENCIES_1 =
119MoneyApp_DEPENDENCIES = $(top_builddir)/src/cppunit/libcppunit.la \
120	$(am__DEPENDENCIES_1)
121AM_V_lt = $(am__v_lt_$(V))
122am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
123am__v_lt_0 = --silent
124am__v_lt_1 =
125MoneyApp_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
126	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(MoneyApp_CXXFLAGS) \
127	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
128AM_V_P = $(am__v_P_$(V))
129am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
130am__v_P_0 = false
131am__v_P_1 = :
132AM_V_GEN = $(am__v_GEN_$(V))
133am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
134am__v_GEN_0 = @echo "  GEN     " $@;
135am__v_GEN_1 =
136AM_V_at = $(am__v_at_$(V))
137am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
138am__v_at_0 = @
139am__v_at_1 =
140DEFAULT_INCLUDES = -I. -I$(top_builddir)
141depcomp = $(SHELL) $(top_srcdir)/depcomp
142am__depfiles_maybe = depfiles
143am__mv = mv -f
144CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
145	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
146LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
147	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
148	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
149	$(AM_CXXFLAGS) $(CXXFLAGS)
150AM_V_CXX = $(am__v_CXX_$(V))
151am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
152am__v_CXX_0 = @echo "  CXX     " $@;
153am__v_CXX_1 =
154CXXLD = $(CXX)
155CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
156	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
157	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
158AM_V_CXXLD = $(am__v_CXXLD_$(V))
159am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
160am__v_CXXLD_0 = @echo "  CXXLD   " $@;
161am__v_CXXLD_1 =
162COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
163	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
164LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
165	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
166	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
167	$(AM_CFLAGS) $(CFLAGS)
168AM_V_CC = $(am__v_CC_$(V))
169am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
170am__v_CC_0 = @echo "  CC      " $@;
171am__v_CC_1 =
172CCLD = $(CC)
173LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
174	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
175	$(AM_LDFLAGS) $(LDFLAGS) -o $@
176AM_V_CCLD = $(am__v_CCLD_$(V))
177am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
178am__v_CCLD_0 = @echo "  CCLD    " $@;
179am__v_CCLD_1 =
180SOURCES = $(MoneyApp_SOURCES)
181DIST_SOURCES = $(MoneyApp_SOURCES)
182am__can_run_installinfo = \
183  case $$AM_UPDATE_INFO_DIR in \
184    n|no|NO) false;; \
185    *) (install-info --version) >/dev/null 2>&1;; \
186  esac
187am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
188# Read a list of newline-separated strings from the standard input,
189# and print each of them once, without duplicates.  Input order is
190# *not* preserved.
191am__uniquify_input = $(AWK) '\
192  BEGIN { nonempty = 0; } \
193  { items[$$0] = 1; nonempty = 1; } \
194  END { if (nonempty) { for (i in items) print i; }; } \
195'
196# Make sure the list of sources is unique.  This is necessary because,
197# e.g., the same source file might be shared among _SOURCES variables
198# for different programs/libraries.
199am__define_uniq_tagged_files = \
200  list='$(am__tagged_files)'; \
201  unique=`for i in $$list; do \
202    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
203  done | $(am__uniquify_input)`
204ETAGS = etags
205CTAGS = ctags
206am__tty_colors_dummy = \
207  mgn= red= grn= lgn= blu= brg= std=; \
208  am__color_tests=no
209am__tty_colors = { \
210  $(am__tty_colors_dummy); \
211  if test "X$(AM_COLOR_TESTS)" = Xno; then \
212    am__color_tests=no; \
213  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
214    am__color_tests=yes; \
215  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
216    am__color_tests=yes; \
217  fi; \
218  if test $$am__color_tests = yes; then \
219    red=''; \
220    grn=''; \
221    lgn=''; \
222    blu=''; \
223    mgn=''; \
224    brg=''; \
225    std=''; \
226  fi; \
227}
228am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
229am__vpath_adj = case $$p in \
230    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
231    *) f=$$p;; \
232  esac;
233am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
234am__install_max = 40
235am__nobase_strip_setup = \
236  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
237am__nobase_strip = \
238  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
239am__nobase_list = $(am__nobase_strip_setup); \
240  for p in $$list; do echo "$$p $$p"; done | \
241  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
242  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
243    if (++n[$$2] == $(am__install_max)) \
244      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
245    END { for (dir in files) print dir, files[dir] }'
246am__base_list = \
247  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
248  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
249am__uninstall_files_from_dir = { \
250  test -z "$$files" \
251    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
252    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
253         $(am__cd) "$$dir" && rm -f $$files; }; \
254  }
255am__recheck_rx = ^[ 	]*:recheck:[ 	]*
256am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
257am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
258# A command that, given a newline-separated list of test names on the
259# standard input, print the name of the tests that are to be re-run
260# upon "make recheck".
261am__list_recheck_tests = $(AWK) '{ \
262  recheck = 1; \
263  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
264    { \
265      if (rc < 0) \
266        { \
267          if ((getline line2 < ($$0 ".log")) < 0) \
268	    recheck = 0; \
269          break; \
270        } \
271      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
272        { \
273          recheck = 0; \
274          break; \
275        } \
276      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
277        { \
278          break; \
279        } \
280    }; \
281  if (recheck) \
282    print $$0; \
283  close ($$0 ".trs"); \
284  close ($$0 ".log"); \
285}'
286# A command that, given a newline-separated list of test names on the
287# standard input, create the global log from their .trs and .log files.
288am__create_global_log = $(AWK) ' \
289function fatal(msg) \
290{ \
291  print "fatal: making $@: " msg | "cat >&2"; \
292  exit 1; \
293} \
294function rst_section(header) \
295{ \
296  print header; \
297  len = length(header); \
298  for (i = 1; i <= len; i = i + 1) \
299    printf "="; \
300  printf "\n\n"; \
301} \
302{ \
303  copy_in_global_log = 1; \
304  global_test_result = "RUN"; \
305  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
306    { \
307      if (rc < 0) \
308         fatal("failed to read from " $$0 ".trs"); \
309      if (line ~ /$(am__global_test_result_rx)/) \
310        { \
311          sub("$(am__global_test_result_rx)", "", line); \
312          sub("[ 	]*$$", "", line); \
313          global_test_result = line; \
314        } \
315      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
316        copy_in_global_log = 0; \
317    }; \
318  if (copy_in_global_log) \
319    { \
320      rst_section(global_test_result ": " $$0); \
321      while ((rc = (getline line < ($$0 ".log"))) != 0) \
322      { \
323        if (rc < 0) \
324          fatal("failed to read from " $$0 ".log"); \
325        print line; \
326      }; \
327      printf "\n"; \
328    }; \
329  close ($$0 ".trs"); \
330  close ($$0 ".log"); \
331}'
332# Restructured Text title.
333am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
334# Solaris 10 'make', and several other traditional 'make' implementations,
335# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
336# by disabling -e (using the XSI extension "set +e") if it's set.
337am__sh_e_setup = case $$- in *e*) set +e;; esac
338# Default flags passed to test drivers.
339am__common_driver_flags = \
340  --color-tests "$$am__color_tests" \
341  --enable-hard-errors "$$am__enable_hard_errors" \
342  --expect-failure "$$am__expect_failure"
343# To be inserted before the command running the test.  Creates the
344# directory for the log if needed.  Stores in $dir the directory
345# containing $f, in $tst the test, in $log the log.  Executes the
346# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
347# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
348# will run the test scripts (or their associated LOG_COMPILER, if
349# thy have one).
350am__check_pre = \
351$(am__sh_e_setup);					\
352$(am__vpath_adj_setup) $(am__vpath_adj)			\
353$(am__tty_colors);					\
354srcdir=$(srcdir); export srcdir;			\
355case "$@" in						\
356  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
357    *) am__odir=.;; 					\
358esac;							\
359test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
360  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
361if test -f "./$$f"; then dir=./;			\
362elif test -f "$$f"; then dir=;				\
363else dir="$(srcdir)/"; fi;				\
364tst=$$dir$$f; log='$@'; 				\
365if test -n '$(DISABLE_HARD_ERRORS)'; then		\
366  am__enable_hard_errors=no; 				\
367else							\
368  am__enable_hard_errors=yes; 				\
369fi; 							\
370case " $(XFAIL_TESTS) " in				\
371  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
372    am__expect_failure=yes;;				\
373  *)							\
374    am__expect_failure=no;;				\
375esac; 							\
376$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
377# A shell command to get the names of the tests scripts with any registered
378# extension removed (i.e., equivalently, the names of the test logs, with
379# the '.log' extension removed).  The result is saved in the shell variable
380# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
381# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
382# since that might cause problem with VPATH rewrites for suffix-less tests.
383# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
384am__set_TESTS_bases = \
385  bases='$(TEST_LOGS)'; \
386  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
387  bases=`echo $$bases`
388RECHECK_LOGS = $(TEST_LOGS)
389AM_RECURSIVE_TARGETS = check recheck
390TEST_SUITE_LOG = test-suite.log
391TEST_EXTENSIONS =  .test
392LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
393LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
394am__set_b = \
395  case '$@' in \
396    */*) \
397      case '$*' in \
398        */*) b='$*';; \
399          *) b=`echo '$@' | sed 's/\.log$$//'`; \
400       esac;; \
401    *) \
402      b='$*';; \
403  esac
404am__test_logs1 = $(TESTS:=.log)
405am__test_logs2 = $(am__test_logs1:.log=.log)
406TEST_LOGS = $(am__test_logs2:.test.log=.log)
407TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
408TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
409	$(TEST_LOG_FLAGS)
410am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
411	$(top_srcdir)/test-driver
412DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
413ACLOCAL = ${SHELL} /home/moggi/devel/cppunit/missing aclocal-1.15
414AMTAR = $${TAR-tar}
415AM_DEFAULT_VERBOSITY = 0
416AR = ar
417AS = as
418AUTOCONF = ${SHELL} /home/moggi/devel/cppunit/missing autoconf
419AUTOHEADER = ${SHELL} /home/moggi/devel/cppunit/missing autoheader
420AUTOMAKE = ${SHELL} /home/moggi/devel/cppunit/missing automake-1.15
421AWK = gawk
422CC = gcc
423CCDEPMODE = depmode=gcc3
424CFLAGS = -g -O2 -Werror -Wall -Wextra -pedantic
425CPP = gcc -E
426CPPFLAGS =
427CPPUNIT_BINARY_AGE = 0
428CPPUNIT_CXXFLAGS =
429CPPUNIT_INTERFACE_AGE = 0
430CPPUNIT_MAJOR_VERSION = 1
431CPPUNIT_MICRO_VERSION = 0
432CPPUNIT_MINOR_VERSION = 14
433CXX = g++
434CXXCPP = g++ -E
435CXXDEPMODE = depmode=gcc3
436CXXFLAGS = -g -O2 -Werror -Wall -Wextra -pedantic
437CYGPATH_W = echo
438DEFS = -DHAVE_CONFIG_H
439DEPDIR = .deps
440DLLTOOL = false
441DOT = /usr/bin/dot
442DOXYGEN = /usr/bin/doxygen
443DSYMUTIL =
444DUMPBIN =
445ECHO_C =
446ECHO_N = -n
447ECHO_T =
448EGREP = /usr/bin/grep -E
449EXEEXT =
450FGREP = /usr/bin/grep -F
451GREP = /usr/bin/grep
452HAVE_CXX11 = 1
453INSTALL = /usr/bin/install -c
454INSTALL_DATA = ${INSTALL} -m 644
455INSTALL_PROGRAM = ${INSTALL}
456INSTALL_SCRIPT = ${INSTALL}
457INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
458LD = /usr/bin/ld -m elf_x86_64
459LDFLAGS =
460LIBADD_DL = -ldl
461LIBOBJS =
462LIBS =  -lm
463LIBTOOL = $(SHELL) $(top_builddir)/libtool
464LIPO =
465LN_S = ln -s
466LTLIBOBJS =
467LT_AGE = 0
468LT_CURRENT = 0
469LT_RELEASE = 1.14
470LT_REVISION = 0
471LT_SYS_LIBRARY_PATH =
472MAKEINFO = ${SHELL} /home/moggi/devel/cppunit/missing makeinfo
473MANIFEST_TOOL = :
474MKDIR_P = /usr/bin/mkdir -p
475NM = /usr/bin/nm -B
476NMEDIT =
477OBJDUMP = objdump
478OBJEXT = o
479OTOOL =
480OTOOL64 =
481PACKAGE = cppunit
482PACKAGE_BUGREPORT =
483PACKAGE_NAME = cppunit
484PACKAGE_STRING = cppunit 1.14.0
485PACKAGE_TARNAME = cppunit
486PACKAGE_URL =
487PACKAGE_VERSION = 1.14.0
488PATH_SEPARATOR = :
489RANLIB = ranlib
490SED = /usr/bin/sed
491SET_MAKE =
492SHELL = /bin/sh
493STRIP = strip
494VERSION = 1.14.0
495abs_builddir = /home/moggi/devel/cppunit/examples/money
496abs_srcdir = /home/moggi/devel/cppunit/examples/money
497abs_top_builddir = /home/moggi/devel/cppunit
498abs_top_srcdir = /home/moggi/devel/cppunit
499ac_ct_AR = ar
500ac_ct_CC = gcc
501ac_ct_CXX = g++
502ac_ct_DUMPBIN =
503am__include = include
504am__leading_dot = .
505am__quote =
506am__tar = $${TAR-tar} chof - "$$tardir"
507am__untar = $${TAR-tar} xf -
508bindir = ${exec_prefix}/bin
509build = x86_64-unknown-linux-gnu
510build_alias =
511build_cpu = x86_64
512build_os = linux-gnu
513build_vendor = unknown
514builddir = .
515datadir = ${datarootdir}
516datarootdir = ${prefix}/share
517docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
518dvidir = ${docdir}
519enable_dot = yes
520enable_html_docs = yes
521enable_latex_docs = no
522exec_prefix = ${prefix}
523host = x86_64-unknown-linux-gnu
524host_alias =
525host_cpu = x86_64
526host_os = linux-gnu
527host_vendor = unknown
528htmldir = ${docdir}
529includedir = ${prefix}/include
530infodir = ${datarootdir}/info
531install_sh = ${SHELL} /home/moggi/devel/cppunit/install-sh
532libdir = ${exec_prefix}/lib
533libexecdir = ${exec_prefix}/libexec
534localedir = ${datarootdir}/locale
535localstatedir = ${prefix}/var
536mandir = ${datarootdir}/man
537mkdir_p = $(MKDIR_P)
538oldincludedir = /usr/include
539pdfdir = ${docdir}
540prefix = /usr/local
541program_transform_name = s,x,x,
542psdir = ${docdir}
543sbindir = ${exec_prefix}/sbin
544sharedstatedir = ${prefix}/com
545srcdir = .
546sysconfdir = ${prefix}/etc
547target_alias =
548top_build_prefix = ../../
549top_builddir = ../..
550top_srcdir = ../..
551
552# Include cookbook.html in distro
553EXTRA_DIST = money.dsp money.dsw configure.in StdAfx.cpp
554AM_CPPFLAGS = -I$(top_builddir)/include -I$(top_srcdir)/include
555MoneyApp_SOURCES = Money.h MoneyTest.h MoneyTest.cpp MoneyApp.cpp StdAfx.h
556MoneyApp_CXXFLAGS = $(CPPUNIT_CFLAGS)
557MoneyApp_LDADD = \
558  $(top_builddir)/src/cppunit/libcppunit.la \
559  $(CPPUNIT_LIBS) $(LIBADD_DL)
560
561all: all-am
562
563.SUFFIXES:
564.SUFFIXES: .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
565$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
566	@for dep in $?; do \
567	  case '$(am__configure_deps)' in \
568	    *$$dep*) \
569	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
570	        && { if test -f $@; then exit 0; else break; fi; }; \
571	      exit 1;; \
572	  esac; \
573	done; \
574	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign examples/money/Makefile'; \
575	$(am__cd) $(top_srcdir) && \
576	  $(AUTOMAKE) --foreign examples/money/Makefile
577Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
578	@case '$?' in \
579	  *config.status*) \
580	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
581	  *) \
582	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
583	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
584	esac;
585
586$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
587	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
588
589$(top_srcdir)/configure:  $(am__configure_deps)
590	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
591$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
592	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
593$(am__aclocal_m4_deps):
594
595clean-checkPROGRAMS:
596	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
597	echo " rm -f" $$list; \
598	rm -f $$list || exit $$?; \
599	test -n "$(EXEEXT)" || exit 0; \
600	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
601	echo " rm -f" $$list; \
602	rm -f $$list
603
604MoneyApp$(EXEEXT): $(MoneyApp_OBJECTS) $(MoneyApp_DEPENDENCIES) $(EXTRA_MoneyApp_DEPENDENCIES)
605	@rm -f MoneyApp$(EXEEXT)
606	$(AM_V_CXXLD)$(MoneyApp_LINK) $(MoneyApp_OBJECTS) $(MoneyApp_LDADD) $(LIBS)
607
608mostlyclean-compile:
609	-rm -f *.$(OBJEXT)
610
611distclean-compile:
612	-rm -f *.tab.c
613
614include ./$(DEPDIR)/MoneyApp-MoneyApp.Po
615include ./$(DEPDIR)/MoneyApp-MoneyTest.Po
616
617.cpp.o:
618	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
619	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
620#	$(AM_V_CXX)source='$<' object='$@' libtool=no \
621#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
622#	$(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ $<
623
624.cpp.obj:
625	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
626	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
627#	$(AM_V_CXX)source='$<' object='$@' libtool=no \
628#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
629#	$(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
630
631.cpp.lo:
632	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
633	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
634#	$(AM_V_CXX)source='$<' object='$@' libtool=yes \
635#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
636#	$(AM_V_CXX_no)$(LTCXXCOMPILE) -c -o $@ $<
637
638MoneyApp-MoneyTest.o: MoneyTest.cpp
639	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(MoneyApp_CXXFLAGS) $(CXXFLAGS) -MT MoneyApp-MoneyTest.o -MD -MP -MF $(DEPDIR)/MoneyApp-MoneyTest.Tpo -c -o MoneyApp-MoneyTest.o `test -f 'MoneyTest.cpp' || echo '$(srcdir)/'`MoneyTest.cpp
640	$(AM_V_at)$(am__mv) $(DEPDIR)/MoneyApp-MoneyTest.Tpo $(DEPDIR)/MoneyApp-MoneyTest.Po
641#	$(AM_V_CXX)source='MoneyTest.cpp' object='MoneyApp-MoneyTest.o' libtool=no \
642#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
643#	$(AM_V_CXX_no)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(MoneyApp_CXXFLAGS) $(CXXFLAGS) -c -o MoneyApp-MoneyTest.o `test -f 'MoneyTest.cpp' || echo '$(srcdir)/'`MoneyTest.cpp
644
645MoneyApp-MoneyTest.obj: MoneyTest.cpp
646	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(MoneyApp_CXXFLAGS) $(CXXFLAGS) -MT MoneyApp-MoneyTest.obj -MD -MP -MF $(DEPDIR)/MoneyApp-MoneyTest.Tpo -c -o MoneyApp-MoneyTest.obj `if test -f 'MoneyTest.cpp'; then $(CYGPATH_W) 'MoneyTest.cpp'; else $(CYGPATH_W) '$(srcdir)/MoneyTest.cpp'; fi`
647	$(AM_V_at)$(am__mv) $(DEPDIR)/MoneyApp-MoneyTest.Tpo $(DEPDIR)/MoneyApp-MoneyTest.Po
648#	$(AM_V_CXX)source='MoneyTest.cpp' object='MoneyApp-MoneyTest.obj' libtool=no \
649#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
650#	$(AM_V_CXX_no)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(MoneyApp_CXXFLAGS) $(CXXFLAGS) -c -o MoneyApp-MoneyTest.obj `if test -f 'MoneyTest.cpp'; then $(CYGPATH_W) 'MoneyTest.cpp'; else $(CYGPATH_W) '$(srcdir)/MoneyTest.cpp'; fi`
651
652MoneyApp-MoneyApp.o: MoneyApp.cpp
653	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(MoneyApp_CXXFLAGS) $(CXXFLAGS) -MT MoneyApp-MoneyApp.o -MD -MP -MF $(DEPDIR)/MoneyApp-MoneyApp.Tpo -c -o MoneyApp-MoneyApp.o `test -f 'MoneyApp.cpp' || echo '$(srcdir)/'`MoneyApp.cpp
654	$(AM_V_at)$(am__mv) $(DEPDIR)/MoneyApp-MoneyApp.Tpo $(DEPDIR)/MoneyApp-MoneyApp.Po
655#	$(AM_V_CXX)source='MoneyApp.cpp' object='MoneyApp-MoneyApp.o' libtool=no \
656#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
657#	$(AM_V_CXX_no)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(MoneyApp_CXXFLAGS) $(CXXFLAGS) -c -o MoneyApp-MoneyApp.o `test -f 'MoneyApp.cpp' || echo '$(srcdir)/'`MoneyApp.cpp
658
659MoneyApp-MoneyApp.obj: MoneyApp.cpp
660	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(MoneyApp_CXXFLAGS) $(CXXFLAGS) -MT MoneyApp-MoneyApp.obj -MD -MP -MF $(DEPDIR)/MoneyApp-MoneyApp.Tpo -c -o MoneyApp-MoneyApp.obj `if test -f 'MoneyApp.cpp'; then $(CYGPATH_W) 'MoneyApp.cpp'; else $(CYGPATH_W) '$(srcdir)/MoneyApp.cpp'; fi`
661	$(AM_V_at)$(am__mv) $(DEPDIR)/MoneyApp-MoneyApp.Tpo $(DEPDIR)/MoneyApp-MoneyApp.Po
662#	$(AM_V_CXX)source='MoneyApp.cpp' object='MoneyApp-MoneyApp.obj' libtool=no \
663#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
664#	$(AM_V_CXX_no)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(MoneyApp_CXXFLAGS) $(CXXFLAGS) -c -o MoneyApp-MoneyApp.obj `if test -f 'MoneyApp.cpp'; then $(CYGPATH_W) 'MoneyApp.cpp'; else $(CYGPATH_W) '$(srcdir)/MoneyApp.cpp'; fi`
665
666mostlyclean-libtool:
667	-rm -f *.lo
668
669clean-libtool:
670	-rm -rf .libs _libs
671
672ID: $(am__tagged_files)
673	$(am__define_uniq_tagged_files); mkid -fID $$unique
674tags: tags-am
675TAGS: tags
676
677tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
678	set x; \
679	here=`pwd`; \
680	$(am__define_uniq_tagged_files); \
681	shift; \
682	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
683	  test -n "$$unique" || unique=$$empty_fix; \
684	  if test $$# -gt 0; then \
685	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
686	      "$$@" $$unique; \
687	  else \
688	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
689	      $$unique; \
690	  fi; \
691	fi
692ctags: ctags-am
693
694CTAGS: ctags
695ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
696	$(am__define_uniq_tagged_files); \
697	test -z "$(CTAGS_ARGS)$$unique" \
698	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
699	     $$unique
700
701GTAGS:
702	here=`$(am__cd) $(top_builddir) && pwd` \
703	  && $(am__cd) $(top_srcdir) \
704	  && gtags -i $(GTAGS_ARGS) "$$here"
705cscopelist: cscopelist-am
706
707cscopelist-am: $(am__tagged_files)
708	list='$(am__tagged_files)'; \
709	case "$(srcdir)" in \
710	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
711	  *) sdir=$(subdir)/$(srcdir) ;; \
712	esac; \
713	for i in $$list; do \
714	  if test -f "$$i"; then \
715	    echo "$(subdir)/$$i"; \
716	  else \
717	    echo "$$sdir/$$i"; \
718	  fi; \
719	done >> $(top_builddir)/cscope.files
720
721distclean-tags:
722	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
723
724# Recover from deleted '.trs' file; this should ensure that
725# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
726# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
727# to avoid problems with "make -n".
728.log.trs:
729	rm -f $< $@
730	$(MAKE) $(AM_MAKEFLAGS) $<
731
732# Leading 'am--fnord' is there to ensure the list of targets does not
733# expand to empty, as could happen e.g. with make check TESTS=''.
734am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
735am--force-recheck:
736	@:
737
738$(TEST_SUITE_LOG): $(TEST_LOGS)
739	@$(am__set_TESTS_bases); \
740	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
741	redo_bases=`for i in $$bases; do \
742	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
743	            done`; \
744	if test -n "$$redo_bases"; then \
745	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
746	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
747	  if $(am__make_dryrun); then :; else \
748	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
749	  fi; \
750	fi; \
751	if test -n "$$am__remaking_logs"; then \
752	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
753	       "recursion detected" >&2; \
754	elif test -n "$$redo_logs"; then \
755	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
756	fi; \
757	if $(am__make_dryrun); then :; else \
758	  st=0;  \
759	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
760	  for i in $$redo_bases; do \
761	    test -f $$i.trs && test -r $$i.trs \
762	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
763	    test -f $$i.log && test -r $$i.log \
764	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
765	  done; \
766	  test $$st -eq 0 || exit 1; \
767	fi
768	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
769	ws='[ 	]'; \
770	results=`for b in $$bases; do echo $$b.trs; done`; \
771	test -n "$$results" || results=/dev/null; \
772	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
773	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
774	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
775	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
776	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
777	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
778	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
779	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
780	  success=true; \
781	else \
782	  success=false; \
783	fi; \
784	br='==================='; br=$$br$$br$$br$$br; \
785	result_count () \
786	{ \
787	    if test x"$$1" = x"--maybe-color"; then \
788	      maybe_colorize=yes; \
789	    elif test x"$$1" = x"--no-color"; then \
790	      maybe_colorize=no; \
791	    else \
792	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
793	    fi; \
794	    shift; \
795	    desc=$$1 count=$$2; \
796	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
797	      color_start=$$3 color_end=$$std; \
798	    else \
799	      color_start= color_end=; \
800	    fi; \
801	    echo "$${color_start}# $$desc $$count$${color_end}"; \
802	}; \
803	create_testsuite_report () \
804	{ \
805	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
806	  result_count $$1 "PASS: " $$pass  "$$grn"; \
807	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
808	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
809	  result_count $$1 "FAIL: " $$fail  "$$red"; \
810	  result_count $$1 "XPASS:" $$xpass "$$red"; \
811	  result_count $$1 "ERROR:" $$error "$$mgn"; \
812	}; \
813	{								\
814	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
815	    $(am__rst_title);						\
816	  create_testsuite_report --no-color;				\
817	  echo;								\
818	  echo ".. contents:: :depth: 2";				\
819	  echo;								\
820	  for b in $$bases; do echo $$b; done				\
821	    | $(am__create_global_log);					\
822	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
823	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
824	if $$success; then						\
825	  col="$$grn";							\
826	 else								\
827	  col="$$red";							\
828	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
829	fi;								\
830	echo "$${col}$$br$${std}"; 					\
831	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
832	echo "$${col}$$br$${std}"; 					\
833	create_testsuite_report --maybe-color;				\
834	echo "$$col$$br$$std";						\
835	if $$success; then :; else					\
836	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
837	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
838	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
839	  fi;								\
840	  echo "$$col$$br$$std";					\
841	fi;								\
842	$$success || exit 1
843
844check-TESTS:
845	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
846	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
847	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
848	@set +e; $(am__set_TESTS_bases); \
849	log_list=`for i in $$bases; do echo $$i.log; done`; \
850	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
851	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
852	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
853	exit $$?;
854recheck: all $(check_PROGRAMS)
855	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
856	@set +e; $(am__set_TESTS_bases); \
857	bases=`for i in $$bases; do echo $$i; done \
858	         | $(am__list_recheck_tests)` || exit 1; \
859	log_list=`for i in $$bases; do echo $$i.log; done`; \
860	log_list=`echo $$log_list`; \
861	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
862	        am__force_recheck=am--force-recheck \
863	        TEST_LOGS="$$log_list"; \
864	exit $$?
865MoneyApp.log: MoneyApp$(EXEEXT)
866	@p='MoneyApp$(EXEEXT)'; \
867	b='MoneyApp'; \
868	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
869	--log-file $$b.log --trs-file $$b.trs \
870	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
871	"$$tst" $(AM_TESTS_FD_REDIRECT)
872.test.log:
873	@p='$<'; \
874	$(am__set_b); \
875	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
876	--log-file $$b.log --trs-file $$b.trs \
877	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
878	"$$tst" $(AM_TESTS_FD_REDIRECT)
879#.test$(EXEEXT).log:
880#	@p='$<'; \
881#	$(am__set_b); \
882#	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
883#	--log-file $$b.log --trs-file $$b.trs \
884#	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
885#	"$$tst" $(AM_TESTS_FD_REDIRECT)
886
887distdir: $(DISTFILES)
888	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
889	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
890	list='$(DISTFILES)'; \
891	  dist_files=`for file in $$list; do echo $$file; done | \
892	  sed -e "s|^$$srcdirstrip/||;t" \
893	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
894	case $$dist_files in \
895	  */*) $(MKDIR_P) `echo "$$dist_files" | \
896			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
897			   sort -u` ;; \
898	esac; \
899	for file in $$dist_files; do \
900	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
901	  if test -d $$d/$$file; then \
902	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
903	    if test -d "$(distdir)/$$file"; then \
904	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
905	    fi; \
906	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
907	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
908	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
909	    fi; \
910	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
911	  else \
912	    test -f "$(distdir)/$$file" \
913	    || cp -p $$d/$$file "$(distdir)/$$file" \
914	    || exit 1; \
915	  fi; \
916	done
917check-am: all-am
918	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
919	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
920check: check-am
921all-am: Makefile
922installdirs:
923install: install-am
924install-exec: install-exec-am
925install-data: install-data-am
926uninstall: uninstall-am
927
928install-am: all-am
929	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
930
931installcheck: installcheck-am
932install-strip:
933	if test -z '$(STRIP)'; then \
934	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
935	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
936	      install; \
937	else \
938	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
939	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
940	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
941	fi
942mostlyclean-generic:
943	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
944	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
945	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
946
947clean-generic:
948
949distclean-generic:
950	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
951	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
952
953maintainer-clean-generic:
954	@echo "This command is intended for maintainers to use"
955	@echo "it deletes files that may require special tools to rebuild."
956clean: clean-am
957
958clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
959	mostlyclean-am
960
961distclean: distclean-am
962	-rm -rf ./$(DEPDIR)
963	-rm -f Makefile
964distclean-am: clean-am distclean-compile distclean-generic \
965	distclean-tags
966
967dvi: dvi-am
968
969dvi-am:
970
971html: html-am
972
973html-am:
974
975info: info-am
976
977info-am:
978
979install-data-am:
980
981install-dvi: install-dvi-am
982
983install-dvi-am:
984
985install-exec-am:
986
987install-html: install-html-am
988
989install-html-am:
990
991install-info: install-info-am
992
993install-info-am:
994
995install-man:
996
997install-pdf: install-pdf-am
998
999install-pdf-am:
1000
1001install-ps: install-ps-am
1002
1003install-ps-am:
1004
1005installcheck-am:
1006
1007maintainer-clean: maintainer-clean-am
1008	-rm -rf ./$(DEPDIR)
1009	-rm -f Makefile
1010maintainer-clean-am: distclean-am maintainer-clean-generic
1011
1012mostlyclean: mostlyclean-am
1013
1014mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1015	mostlyclean-libtool
1016
1017pdf: pdf-am
1018
1019pdf-am:
1020
1021ps: ps-am
1022
1023ps-am:
1024
1025uninstall-am:
1026
1027.MAKE: check-am install-am install-strip
1028
1029.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1030	clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1031	ctags ctags-am distclean distclean-compile distclean-generic \
1032	distclean-libtool distclean-tags distdir dvi dvi-am html \
1033	html-am info info-am install install-am install-data \
1034	install-data-am install-dvi install-dvi-am install-exec \
1035	install-exec-am install-html install-html-am install-info \
1036	install-info-am install-man install-pdf install-pdf-am \
1037	install-ps install-ps-am install-strip installcheck \
1038	installcheck-am installdirs maintainer-clean \
1039	maintainer-clean-generic mostlyclean mostlyclean-compile \
1040	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1041	recheck tags tags-am uninstall uninstall-am
1042
1043.PRECIOUS: Makefile
1044
1045
1046# Tell versions [3.59,3.63) of GNU make to not export all variables.
1047# Otherwise a system limit (for SysV at least) may be exceeded.
1048.NOEXPORT:
1049